Mailinglist Archive: opensuse-factory (765 mails)

< Previous Next >
Re: [opensuse-factory] libproxy error after dup
Matthias Brugger [27.11.2017 12:31]:
Hi all,

I (distribution) updated today my openSUSE Tumbleweed, but I'm not able
to log into the graphical interface.

Last message I see is "[OK] Sttarted Locale Service" screen flickers a
few times and then freezes.

I tried to do another zypper dup from the command line, in case
something didn't get updated correctly, but to my supprise I found my
self with the next error:
zypper: symbol lookup error: /usr/lib64/librpoxy.so.1: undefined symbol:
_ZN9libmodman14module_manager8load_dirENSt7__cxx1112basic_stringIcSt11char_traitslcESaIcEEEb

Any idea how to debug and fix this?

Thanks,
Matthias


A command like "grep libmodman /var/log/zypp/history" should show, which
version of libmodman has been installed on your host, when that was and
from which repository it comes. Just like "rpm -qi libmodman1", just
more compressed. For libproxy, change the package name.

If the repo it comes from is not the distro repo, try a "zypper se -s
libmodman" to see all available versions and do something like "zypper
in -f libmodman1-2.0.1-17.9" to reinstall it. If you already have a
newer version, use "zypper in --oldpackage libmodman1-2.0.1-17.9". Or
whatever the current version is...

Just my 2¢
Werner

--


< Previous Next >
References